#
# spec file for package telepathy-glib (Version 0.12.7)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           telepathy-glib
Version:        0.12.7
Release:        1
License:        LGPLv2.1
Summary:        Libraries for adding telepathy support to applications that use glib
Url:            http://telepathy.freedesktop.org/
Group:          Development/Languages/C and C++
Source:         telepathy-glib-%{version}.tar.bz2
BuildRequires:  gtk-doc
BuildRequires:  libxslt-devel
BuildRequires:  python-xml
BuildRequires:  vala-devel
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the libraries that make it easier to use some
telepathy functionality from applications that use glib.

%package -n libtelepathy-glib0
License:        LGPLv2.1
Summary:        Libraries for adding telepathy support to applications that use glib
Group:          Development/Languages/C and C++

%description -n libtelepathy-glib0
This package contains the libraries that make it easier to use some
telepathy functionality from applications that use glib.

%package devel
License:        LGPLv2.1
Summary:        Libraries for adding telepathy support to applications that use glib
Group:          Development/Languages/C and C++
Requires:       glibc-devel
Requires:       libtelepathy-glib0 = %{version}

%description devel
This package contains the libraries that make it easier to use some
telepathy functionality from applications that use glib.

%package doc
License:        LGPLv2.1+
Summary:        Libraries for adding telepathy support to applications that use glib
Group:          Development/Languages/C and C++
Requires:       libtelepathy-glib0 = %{version}

%description doc
This package contains the libraries that make it easier to use some
telepathy functionality from applications that use glib.

%prep
%setup -q

%build
%configure --disable-static \
        --enable-vala-bindings
%__make %{?jobs:-j%jobs}

%install
%makeinstall
rm -f %{buildroot}%{_libdir}/*.la

%post -n libtelepathy-glib0 -p /sbin/ldconfig

%postun -n libtelepathy-glib0  -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n libtelepathy-glib0
%defattr(-,root,root)
%{_libdir}/libtelepathy-glib*.so.0*
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(-,root,root)
%dir %{_includedir}/telepathy-1.0
%{_includedir}/telepathy-1.0/telepathy-glib/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/telepathy-glib.*

%files doc
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/telepathy-glib

%changelog
